Проблема с установкой репозитория Node JS для zigbee2mqtt

не видит такую команду как npm а при загрузке Node JS вылетает ошибка из-за z-wave

Добрый день. А что добавляли в sources apt?
Пакеты от raspberry можно конечно пробовать - но зачем такие эксперименты?
Напишите пожалуйста команды?

nodejs ставится
apt install nodejs -y

PS Но до этого желательно убрать лишние источники.

Я шёл по стандартной установке zigbee2mqtt которая представлена для wiren board 6

Перепроверю, навскидку - что-то с тем репозитарием, который скрипт записал в /etc/apt/sources.list.d/nodesource.list

Это всё что там содержится

Скрипт пишет в /etc/apt/sources.list.d/nodesource.list
Получилсь поставить?


Я использовал apt install nodejs -y и потом apt autoremove и в sources.list и sources.list.d ничего не изменилось
Говорит что версия nodejs стоит версии 4.8.2

но я думаю там нету npm

Пробую установить по инструкции
Покажите

cat /etc/apt/sources.list.d/nodesource.list

и результаты

apt update

Ну и что выдает

apt purge -y nodejs && apt-get install -y nodejs git make g++ gcc

cat /etc/apt/sources.list.d/nodesource.list он не находит и в директории такого нету
на apt update он упирается в непонятную ошибку связанную с http://repo.z-wave.me/

1

Удалите
/etc/apt/sources.list.d/z-wave-me.list
и снова
apt update

Вот ,а как дальше обновить

apt upgrade -y
Потом именно как пишу:

curl -sL https://deb.nodesource.com/setup_12.x | bash -

И вывод сюда, (лучше текстом)

Спасибо, всё получилось ,но остался последний вопрос ,для чего служил этот z-wave.me
(у меня кейс wiren board 6) потому что самолично я не устанавливал туда файлы z-wave

Ну, в оригинальной прошивке его нету (и не нужен, да и вообще не работает). Возможно его какой-то пакет при экспериментах добавил?

Ну главно что уде все хорошо, спасибо за помощь.

1 Like